Bug 844503 - qemu package doesn't build kvm on ppc64
qemu package doesn't build kvm on ppc64
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
rawhide
powerpc Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-30 19:18 EDT by Benjamin Herrenschmidt
Modified: 2013-01-09 07:05 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-14 16:36:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Benjamin Herrenschmidt 2012-07-30 19:18:40 EDT
Depends on bug #844502

In order to enjoy KVM on ppc(64), we would like Fedora to build a KVM enabled qemu for it (at least ppc64, ppc32 is not required).

The current Fedora qemu spec file builds a bunch of qemu system emulators without kvm (missing ppc/ppc64 but that's the subject of bug #844502) and when the target arch is x86(_64), also builds a kvm-enabled qemu-kvm.

The obvious approach would be to duplicate those stanza to also build one when the target is ppc64. I did some local hacking on the spec file and essentially ended up duplicating the x86_64 rules for ppc64 (so I could use slightly different configure options).

I'll update this bug with our configure options etc... asap
Comment 1 Benjamin Herrenschmidt 2012-07-30 19:26:22 EDT
So internally we hacked our SPEC file to do:

./configure --target-list=ppc64-softmmu \
            --prefix=%{_prefix} \
            --sysconfdir=%{_sysconfdir} \
            --audio-drv-list=pa,sdl,alsa,oss \
            --disable-strip \
            --extra-ldflags="$extraldflags -pie -Wl,-z,relro -Wl,-z,now" \
            --extra-cflags="%{optflags} -fPIE -DPIE" \
            --enable-mixemu \
%if %{without rbd}
            --disable-rbd \
%endif
%if %{without fdt}
            --disable-fdt \
%endif
            --enable-trace-backend=dtrace \
            --disable-werror \
            --enable-kvm

Some things like the audio-drv list are just copied from x86_64, and it
requires libfdt so we might want to avoid the "without fdt" bit in practice (or just not build the whole thing)
Comment 2 Cole Robinson 2012-08-14 16:36:47 EDT
Should be fixed by qemu-1.2-0.2.20120806git3e430569.fc18

Note You need to log in before you can comment on or make changes to this bug.